[UserMenu]
1=abs()|abs()+3
2=acos()|acos()+3
3=anchor()|anchor()+3
4=asin()|asin()+3
5=atan()|atan()+3
6=atan2()|atan2()+3
7=big()|big()+3
8=blink()|blink()+3
9=bold()|bold()+3
10=ceil()|ceil()+3
11=charAt()|charAt()+3
12=charCodeAt()|charCodeAt()+3
13=concat()|concat()+3
14=constructor|constructor+8
15=cos()|cos()+3
16=Data()|Data()+3
17=decodeURI()|decodeURI()+3
18=decodeURIComponent()|decodeURIComponent()+3
19=E|E+8
20=encodeURI()|encodeURI()+3
21=encodeURIComponent()|encodeURIComponent()+3
22=escape()|escape()+3
23=eval()|eval()+3
24=exp()|exp()+3
25=fixed()|fixed()+3
26=floor()|floor()+3
27=fontcolor()|fontcolor()+3
28=fontsize()|fontsize()+3
29=fromCharCode()|fromCharCode()+3
30=getDate()|getDate()+3
31=getDay()|getDay()+3
32=getFullYear()|getFullYear()+3
33=getHours()|getHours()+3
34=getMilliseconds()|getMilliseconds()+3
35=getMinutes()|getMinutes()+3
36=getMonth()|getMonth()+3
37=getSeconds()|getSeconds()+3
38=getTime()|getTime()+3
39=getTimezoneOffset()|getTimezoneOffset()+3
40=getUTCDate()|getUTCDate()+3
41=getUTCDay()|getUTCDay()+3
42=getUTCFullYear()|getUTCFullYear()+3
43=getUTCHours()|getUTCHours()+3
44=getUTCMilliseconds()|getUTCMilliseconds()+3
45=getUTCMinutes()|getUTCMinutes()+3
46=getUTCMonth()|getUTCMonth()+3
47=getUTCSeconds()|getUTCSeconds()+3
48=getYear()|getYear()+3
49=index|index+8
50=indexOf()|indexOf()+3
51=Infinity|Infinity+8
52=input|input+8
53=isFinite()|isFinite()+3
54=isNaN()|isNaN()+3
55=italics()|italics()+3
56=join()|join()+3
57=lastIndexOf()|lastIndexOf()+3
58=length|length+8
59=link()|link()+3
60=LN10|LN10+8
61=LN2|LN2+8
62=log()|log()+3
63=LOG10E|LOG10E+8
64=LOG2E|LOG2E+8
65=match()|match()+3
66=max()|max()+3
67=min()|min()+3
68=NaN|NaN+8
69=Number()|Number()+3
70=onabort=""|onabort=""+e
71=onblur=""|onblur=""+e
72=onchange=""|onchange=""+e
73=onclick=""|onclick=""+e
74=ondblclick=""|ondblclick=""+e
75=onerror=""|onerror=""+e
76=onfocus=""|onfocus=""+e
77=onkeydown=""|onkeydown=""+e
78=onkeypress=""|onkeypress=""+e
79=onkeyup=""|onkeyup=""+e
80=onload=""|onload=""+e
81=onmousedown=""|onmousedown=""+e
82=onmousemove=""|onmousemove=""+e
83=onmouseout=""|onmouseout=""+e
84=onmouseover=""|onmouseover=""+e
85=onmouseup=""|onmouseup=""+e
86=onreset=""|onreset=""+e
87=onresize=""|onresize=""+e
88=onselect=""|onselect=""+e
89=onsubmit=""|onsubmit=""+e
90=onunload=""|onunload=""+e
91=parse()|parse()+3
92=parseFloat()|parseFloat()+3
93=parseInt()|parseInt()+3
94=PI|PI+8
95=pop()|pop()+3
96=pow()|pow()+3
97=prototype|prototype+8
98=push()|push()+3
99=random()|random()+3
100=replace()|replace()+3
101=reverse()|reverse()+3
102=round()|round()+3
103=search()|search()+3
104=setDate()|setDate()+3
105=setFullYear()|setFullYear()+3
106=setHours()|setHours()+3
107=setMilliseconds()|setMilliseconds()+3
108=setMinutes()|setMinutes()+3
109=setMonth()|setMonth()+3
110=setSeconds()|setSeconds()+3
111=setTime()|setTime()+3
112=setUTCDate()|setUTCDate()+3
113=setUTCFullYear()|setUTCFullYear()+3
114=setUTCHours()|setUTCHours()+3
115=setUTCMilliseconds()|setUTCMilliseconds()+3
116=setUTCMinutes()|setUTCMinutes()+3
117=setUTCMonth()|setUTCMonth()+3
118=setUTCSeconds()|setUTCSeconds()+3
119=setYear()|setYear()+3
120=shift()|shift()+3
121=sin()|sin()+3
122=slice()|slice()+3
123=small()|small()+3
124=sort()|sort()+3
125=splice()|splice()+3
126=split()|split()+3
127=sqrt()|sqrt()+3
128=SQRT1_2|SQRT1_2+8
129=SQRT2|SQRT2+8
130=strike()|strike()+3
131=String()|String()+3
132=sub()|sub()+3
133=substr()|substr()+3
134=substring()|substring()+3
135=sup()|sup()+3
136=tan()|tan()+3
137=toGMTString()|toGMTString()+3
138=toLowerCase()|toLowerCase()+3
139=toSource()|toSource()+3
140=toString()|toString()+3
141=toUpperCase()|toUpperCase()+3
142=toUTCString()|toUTCString()+3
143=undefined|undefined+8
144=unescape()|unescape()+3
145=unshift()|unshift()+3
146=UTC()|UTC()+3
147=valueOf()|valueOf()+3

[AutoComplete]
document.=anchors[]|anchors[]+n##applets[]|applets[]+n##attributes[]|attributes[]+n##childNodes[]|childNodes[]+n##embeds[]|embeds[]+n##forms[]|forms[]+n##images[]|images[]+n##links[]|links[]+n##plugins[]|plugins[]+n##stylesheets[]|stylesheets[]+n##alinkColor|alinkColor+p##bgColor|bgColor+p##body|body+p##cookie|cookie+p##documentElement|documentElement+p##domain|domain+p##fgColor|fgColor+p##lastModified|lastModified+p##linkColor|linkColor+p##referrer|referrer+p##title|title+p##URL|URL+p##vlinkColor|vlinkColor+p##clear()|clear()+m##close()|close()+m##createAttribute("")|createAttribute("")+m##createElement("")|createElement("")+m##createTextNode("")|createTextNode("")+m##focus()|focus()+m##getElementById()|getElementById()+m##getElementByName()|getElementByName()+m##getElementByTagName("")|getElementByTagName("")+m##open()|open()+m##write()|write()+m##writeln("")|writeln("")+m##onClick=""|onClick=""+e##onDblClick=""|onDblClick=""+e##onFocus=""|onFocus=""+e##onKeyDown=""|onKeyDown=""+e##onKeyPress=""|onKeyPress=""+e##onKeyUp=""|onKeyUp=""+e##onMouseDown=""|onMouseDown=""+e##onMouseMove=""|onMouseMove=""+e##onMouseOut=""|onMouseOut=""+e##onMouseOver=""|onMouseOver=""+e##onMouseUp=""|onMouseUp=""+e##onResize=""|onResize=""+e##
event.=bookmarks[]|bookmarks[]+n##boundElements[]|boundElements[]+n##Abstract|Abstract+p##altKey|altKey+p##altLeft|altLeft+p##banner|banner+p##button|button+p##cancelBubble|cancelBubble+p##clientX|clientX+p##clientY|clientY+p##contentOverflow|contentOverflow+p##ctrlKey|ctrlKey+p##ctrlLeft|ctrlLeft+p##dataFld|dataFld+p##fromElement|fromElement+p##keyCode|keyCode+p##MoreInfo|MoreInfo+p##nextPage|nextPage+p##offsetX|offsetX+p##offsetY|offsetY+p##propertyName|propertyName+p##qualifier|qualifier+p##reason|reason+p##recordset|recordset+p##repeat|repeat+p##returnValue|returnValue+p##saveType|saveType+p##screenX|screenX+p##screenY|screenY+p##shiftKey|shiftKey+p##shiftLeft|shiftLeft+p##srcElement|srcElement+p##srcFilter|srcFilter+p##srcUrn|srcUrn+p##toElement|toElement+p##type|type+p##userName|userName+p##wheelDelta|wheelDelta+p##x|x+p##y|y+p##
history.=length|length+p##back()|back()+m##forward()|forward()+m##go()|go()+m##
location.=hash|hash+p##host|host+p##hostname|hostname+p##href|href+p##pathname|pathname+p##port|port+p##protocol|protocol+p##search|search+p##assign("")|assign("")+m##reload()|reload()+m##replace("")|replace("")+m##
navigator.=plugins[]|plugins[]+n##appCodeName|appCodeName+p##appMinorVersion|appMinorVersion+p##appName|appName+p##appVersion|appVersion+p##browserLanguage|browserLanguage+p##userAgent|userAgent+p##userLanguage|userLanguage+p##javaEnabled()|javaEnabled()+m##taintEnabled()|taintEnabled()+m##
screen.=availHeight|availHeight+p##availWidth|availWidth+p##bufferDepth|bufferDepth+p##colorDepth|colorDepth+p##deviceXDPI|deviceXDPI+p##deviceYDPI|deviceYDPI+p##fontSmoothingEnabled|fontSmoothingEnabled+p##height|height+p##logicalXDPI|logicalXDPI+p##logicalYDPI|logicalYDPI+p##pixelDepth|pixelDepth+p##updateInterval|updateInterval+p##width|width+p##
window.=frames[]|frames[]+n##clientInformation|clientInformation+c##clipboardData|clipboardData+c##document|document+c##event|event+c##external|external+c##history|history+c##location|location+c##navigator|navigator+c##screen|screen+c##closed|closed+p##defaultStatus|defaultStatus+p##dialogArguments|dialogArguments+p##dialogHeight|dialogHeight+p##dialogLeft|dialogLeft+p##dialogTop|dialogTop+p##dialogWidth|dialogWidth+p##frameElement|frameElement+p##length|length+p##name|name+p##offscreenBuffering|offscreenBuffering+p##opener|opener+p##parent|parent+p##returnValue|returnValue+p##screenLeft|screenLeft+p##screenTop|screenTop+p##self|self+p##status|status+p##top|top+p##alert()|alert()+m##attachEvent()|attachEvent()+m##blur()|blur()+m##clearInterval()|clearInterval()+m##clearTimeout()|clearTimeout()+m##close()|close()+m##confirm()|confirm()+m##createPopup()|createPopup()+m##execScript("","")|execScript("","")+m##focus()|focus()+m##moveBy()|moveBy()+m##moveTo()|moveTo()+m##navigate("")|navigate("")+m##open()|open()+m##print()|print()+m##prompt()|prompt()+m##resizeBy()|resizeBy()+m##resizeTo()|resizeTo()+m##scroll()|scroll()+m##scrollBy()|scrollBy()+m##scrollTo()|scrollTo()+m##setInterval()|setInterval()+m##setTimeout()|setTimeout()+m##showHelp()|showHelp()+m##showModal()|showModal()+m##showModelessDialog()|showModelessDialog()+m##onBlur=""|onBlur=""+e##onError=""|onError=""+e##onFocus=""|onFocus=""+e##onLoad=""|onLoad=""+e##onResize=""|onResize=""+e##onUnload=""|onUnload=""+e##
window.document.=anchors[]|anchors[]+n##applets[]|applets[]+n##attributes[]|attributes[]+n##childNodes[]|childNodes[]+n##embeds[]|embeds[]+n##forms[]|forms[]+n##images[]|images[]+n##links[]|links[]+n##plugins[]|plugins[]+n##stylesheets[]|stylesheets[]+n##alinkColor|alinkColor+p##bgColor|bgColor+p##body|body+p##cookie|cookie+p##documentElement|documentElement+p##domain|domain+p##fgColor|fgColor+p##lastModified|lastModified+p##linkColor|linkColor+p##referrer|referrer+p##title|title+p##URL|URL+p##vlinkColor|vlinkColor+p##clear()|clear()+m##close()|close()+m##createAttribute("")|createAttribute("")+m##createElement("")|createElement("")+m##createTextNode("")|createTextNode("")+m##focus()|focus()+m##getElementById()|getElementById()+m##getElementByName()|getElementByName()+m##getElementByTagName("")|getElementByTagName("")+m##open()|open()+m##write()|write()+m##writeln("")|writeln("")+m##onClick=""|onClick=""+e##onDblClick=""|onDblClick=""+e##onFocus=""|onFocus=""+e##onKeyDown=""|onKeyDown=""+e##onKeyPress=""|onKeyPress=""+e##onKeyUp=""|onKeyUp=""+e##onMouseDown=""|onMouseDown=""+e##onMouseMove=""|onMouseMove=""+e##onMouseOut=""|onMouseOut=""+e##onMouseOver=""|onMouseOver=""+e##onMouseUp=""|onMouseUp=""+e##onResize=""|onResize=""+e##
window.event.=bookmarks[]|bookmarks[]+n##boundElements[]|boundElements[]+n##Abstract|Abstract+p##altKey|altKey+p##altLeft|altLeft+p##banner|banner+p##button|button+p##cancelBubble|cancelBubble+p##clientX|clientX+p##clientY|clientY+p##contentOverflow|contentOverflow+p##ctrlKey|ctrlKey+p##ctrlLeft|ctrlLeft+p##dataFld|dataFld+p##fromElement|fromElement+p##keyCode|keyCode+p##MoreInfo|MoreInfo+p##nextPage|nextPage+p##offsetX|offsetX+p##offsetY|offsetY+p##propertyName|propertyName+p##qualifier|qualifier+p##reason|reason+p##recordset|recordset+p##repeat|repeat+p##returnValue|returnValue+p##saveType|saveType+p##screenX|screenX+p##screenY|screenY+p##shiftKey|shiftKey+p##shiftLeft|shiftLeft+p##srcElement|srcElement+p##srcFilter|srcFilter+p##srcUrn|srcUrn+p##toElement|toElement+p##type|type+p##userName|userName+p##wheelDelta|wheelDelta+p##x|x+p##y|y+p##
window.history.=length|length+p##back()|back()+m##forward()|forward()+m##go()|go()+m##
window.location.=hash|hash+p##host|host+p##hostname|hostname+p##href|href+p##pathname|pathname+p##port|port+p##protocol|protocol+p##search|search+p##assign("")|assign("")+m##reload()|reload()+m##replace("")|replace("")+m##
window.navigator.=plugins[]|plugins[]+n##appCodeName|appCodeName+p##appMinorVersion|appMinorVersion+p##appName|appName+p##appVersion|appVersion+p##browserLanguage|browserLanguage+p##userAgent|userAgent+p##userLanguage|userLanguage+p##javaEnabled()|javaEnabled()+m##taintEnabled()|taintEnabled()+m##
window.screen.=availHeight|availHeight+p##availWidth|availWidth+p##bufferDepth|bufferDepth+p##colorDepth|colorDepth+p##deviceXDPI|deviceXDPI+p##deviceYDPI|deviceYDPI+p##fontSmoothingEnabled|fontSmoothingEnabled+p##height|height+p##logicalXDPI|logicalXDPI+p##logicalYDPI|logicalYDPI+p##pixelDepth|pixelDepth+p##updateInterval|updateInterval+p##width|width+p##
Math.=abs(number) value|abs+m##acos(number) value|acos+m##asin(number) value|asin+m##atan(number) value|atan+m##atan2(number) value|atan2+m##ceil(number) value|aceil+m##cos(number) value|cos+m##E|E+p##exp(number) value|exp+m##floor(number) value|floor+m##LN10|LN10+p##LN2|LN2+p##log(number) value|log+m##LOG10E|LOG10E+p##LOG2E|LOG2E+p##max(number) value|max+m##min(number) value|min+m##PI|PI+p##pow(number) value|pow+m##random(number) value|random+m##round(number) value|round+m##sin(number) value|sin+m##sqrt(number) value|sqrt+m##SQRT1_2|SQRT1_2+p##SQRT2|SQRT2+p##tan(number) value|tan+m##
RegExp.=$1|$1+p##$2|$2+p##$3|$3+p##$4|$4+p##$5|$5+p##$6|$6+p##$7|$7+p##$8|$8+p##$9|$9+p##index|index+p##input|input+p##lastIndex|lastIndex+p##lastMatch|lastMatch+p##lastParen|lastParen+p##leftContex|leftContex+p##rightContext|rightContext+p##

[MultiHighlight]
Syntax=
File=
ASPLanguage=

[Comment]
1=*************************************************************
2=<b>Syntax:</b> JavaScript
3=<b>Author:</b> Rickard Johansson
4=<b>Version:</b> 1.4
5=<b>Date:</b> 2011-04-12
6=
7=<b>Recommended colors:</b>
8=This syntax definition is included with the main program
9=installation. So the recommended colors are already set
10=after the program is installed.
11=*************************************************************

[Hints]
1=apply([thisObj[,argArray]])
2=call([thisObj[, arg1[, arg2[,  [, argN]]]]])
3=decodeURI(URIstring)
4=decodeURIComponent(encodedURIString)
5=encodeURI(URIString)
6=encodeURIComponent(encodedURIString)
7=escape(charString)
8=eval(codeString)
9=Math.abs(number)
10=Math.acos(number)
11=Math.asin(number)
12=Math.atan(number)
13=Math.atan2(number)
14=Math.ceil(number)
15=Math.cos(number)
16=Math.exp(number)
17=Math.floor(number)
18=Math.log(number)
19=Math.max(number)
20=Math.min(number)
21=Math.pow(number)
22=Math.random(number)
23=Math.round(number)
24=Math.sin(number)
25=Math.sqrt(number)
26=Math.tan(number)

[Sample]
1=# $language = "JScript"
2=# $interface = "1.0"
3=
4=function main()
5={
6=var fso, f, r;
7=var ForReading = 1, ForWriting = 2;
8=
9=fso = new ActiveXObject("Scripting.FileSystemObject");
10=f = fso.OpenTextFile("c:\\temp\\file.txt", ForReading);
11=
12=crt.Screen.Synchronous = true;
13=
14=var str;
15=while ( f.AtEndOfStream != true )
16={
17=str = f.Readline();
18=str += "\015" ;
19=crt.Screen.Send( str );
20=
21=// wait for the prompt before continuing with the next send.
22=//
23=crt.Screen.WaitForString( "prompt$" );
24=}
25=};
26=
27=
28=
29=

